{#
/**
 * @file
 * Theme override to display a menu.
 *
 * Available variables:
 * - menu_name: The machine name of the menu.Left Nav Item 1
 * - items: A nested list of menu items. Each menu item contains:
 *   - attributes: HTML attributes for the menu item.
 *   - below: The menu item child items.
 *   - title: The menu link title.
 *   - url: The menu link url, instance of \Drupal\Core\Url
 *   - localized_options: Menu link localized options.
 *   - is_expanded: TRUE if the link has visible children within the current
 *     menu tree.
 *   - is_collapsed: TRUE if the link has children within the current menu tree
 *     that are not currently visible.
 *   - in_active_trail: TRUE if the link is in the active trail.
 */
#}
{% import _self as menus %}

{#
  We call a macro which calls itself to render the full tree.
  @see https://twig.symfony.com/doc/1.x/tags/macro.html
#}
{{ menus.menu_links(items, attributes, 0) }}

{% macro menu_links(items, attributes, menu_level) %}
  {% import _self as menus %}
  {% if items %}
    {% for item in items %}
      {% if menu_level == 0 %}
        <div class="col-12 col-md-4 col-lg-3 mt-4 mt-md-0">
          <h4 class="d-none d-md-block mb-md-3 mb-lg-0">{{ item.title }}</h4>
          {% if item.below %}
            {{ menus.menu_links(item.below, attributes, menu_level + 1) }}
          {% endif %}
      {% else %}
        {% if loop.index > 1 %}<br class="d-none d-lg-inline" />{% endif %}
        <a class="dex__link d-block d-lg-inline mb-3 mb-lg-0" href="{{ item.url }}">{{ item.title }}</a>
      {% endif %}

      {% if menu_level == 0 %}
        </div>
      {% endif %}
    {% endfor %}
  {% endif %}
{% endmacro %}
